from django.urls import include, path
from django.contrib import admin
from django.contrib.auth import views as auth_views

from contest.views import index, register, profile


urlpatterns = [
    path('', index, name="index"),
    path('cqtufm2019/', include('contest.urls', namespace='contest')),

    path('admin/', admin.site.urls),
    path('login/', auth_views.LoginView.as_view(), name='login'),
    path('logout/', auth_views.LogoutView.as_view(), {'next_page': '/'}, name='logout'),
    path('register/', register, name='register'),
    path('profile/', profile, name='profile'),
    path('api/', include('api.urls')),
]
